package com.github.jfcloud.gene;

import com.github.jfcloud.common.feign.annotation.EnableJfcloudFeignClients;
import com.github.jfcloud.common.security.annotation.EnableJfcloudResourceServer;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.ComponentScans;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@EnableJfcloudFeignClients
@EnableJfcloudResourceServer
@EnableDiscoveryClient
@EnableScheduling
@SpringBootApplication
@EnableTransactionManagement
@MapperScan({"com.github.jfcloud.gene.*.mapper", "com.github.jfcloud.common.exception.mapper"})
@ComponentScans(value = {
        @ComponentScan(value = "com.github.jfcloud.common.aspect"),
        @ComponentScan(value = "com.github.jfcloud.rich"),
        @ComponentScan(value = "com.github.jfcloud.common.exception"),
        @ComponentScan(value = "com.github.jfcloud.common.exception.service.impl")
})
public class GeneApplication {

    public static void main(String[] args) {
        SpringApplication.run(GeneApplication.class, args);
    }

}
