package com.github.jfcloud.gene.config;

import com.github.jfcloud.common.core.util.R;
import com.github.jfcloud.common.exception.GlobalExceptionHandler;
import lombok.extern.slf4j.Slf4j;
import org.apache.ibatis.exceptions.PersistenceException;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * 异常捕获
 * @see com.github.jfcloud.common.exception.GlobalExceptionHandler
 */
@Slf4j
@ControllerAdvice
public class ExHandler extends GlobalExceptionHandler {

    @ResponseBody
    @ExceptionHandler({PersistenceException.class})
    public R persistenceException(Exception e) {
        log.error(e.getMessage(), e);
        if (e.getMessage().contains("Data too long for column")) {
            return R.failed(errorJson(e), "数据长度超出数据库字段长度限制");
        }
        return R.failed(errorJson(e), e.getMessage());
    }
}
