package com.github.jfcloud.gene.constants;

/**
 * 基因定制流程
 */
public enum GeneTargetEnum {
    /**
     * 品系定制
     */
    CUSTOM("custom"),

    /**
     * 品系净化扩繁
     */
    PURIFICATION("purification");

    private final String code;

    GeneTargetEnum(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    @Override
    public String toString() {
        return code;
    }

    public static String getNameByCode(String code) {
        if (code == null) {
            return "";
        }
        StringBuilder sb = new StringBuilder();
        String[] split = code.split(",");
        for (String s : split) {
            if (s.equals(CUSTOM.getCode())) {
                sb.append("品系定制").append("和");
            } else if (s.equals(PURIFICATION.getCode())) {
                sb.append("净化扩繁").append("和");
            }
        }

        return sb.substring(0, sb.length() - 1);
    }
}
