package com.github.jfcloud.gene.dict.controller;

import com.github.jfcloud.common.core.util.R;
import com.github.jfcloud.gene.dict.service.DictService;
import com.github.jfcloud.gene.dict.vo.DictVo;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Slf4j
@Tag(name = "字典")
@RestController
@RequestMapping("/dict")
@RequiredArgsConstructor
public class DictController {

    private final DictService dictService;

    @Operation(summary = "根据分组获取字典项")
    @GetMapping(value = "/getByGroup")
    public R<List<DictVo>> getByGroup(@RequestParam String group) {
        return R.ok(dictService.getByGroup(group));
    }
}
