package com.github.jfcloud.gene.dict.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 字典
 * dict_common
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class DictCommon extends Model implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 字典项ID
     */
    private Integer id;
    /**
     * 字典分组
     */
    private String dictGroup;
    /**
     * 字典类型
     */
    private String dictType;
    /**
     * 显示值
     */
    private String dictLabel;
    /**
     * 排序
     */
    private Integer dictSort;
    /**
     * 是否被删除 0 未删除  1 已删除
     */
    @JsonIgnore
    @TableLogic(value = "0", delval = "1")
    @TableField(value = "deleted")
    private String deleted = "0";
}