package com.github.jfcloud.gene.dict.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.jfcloud.gene.common.constant.WhetherEnum;
import com.github.jfcloud.gene.dict.entity.DictCommon;
import com.github.jfcloud.gene.dict.mapper.DictMapper;
import com.github.jfcloud.gene.dict.service.DictService;
import com.github.jfcloud.gene.dict.vo.DictVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

@Slf4j
@Service
public class DictServiceImpl extends ServiceImpl<DictMapper, DictCommon> implements DictService {

    @Override
    public List<DictVo> getByGroup(String group) {
        List<DictCommon> dictCommons = list(new LambdaQueryWrapper<>(DictCommon.class)
                .eq(DictCommon::getDictGroup, group)
                .eq(DictCommon::getDeleted, WhetherEnum.NO.getCode())
                .orderByAsc(DictCommon::getDictSort, DictCommon::getId));
        return BeanUtil.copyToList(dictCommons, DictVo.class);
    }
}
