package com.github.jfcloud.gene.file.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.github.jfcloud.gene.file.entity.FileInfo;
import com.github.jfcloud.gene.file.vo.FileDetail;
import com.github.jfcloud.gene.file.vo.FileVo;

import java.io.InputStream;
import java.util.List;

public interface FileInfoService extends IService<FileInfo> {

    /**
     * 根据关联id查询文件信息
     *
     * @param relateId
     * @return
     */
    List<FileVo> listByRelateId(Long relateId);

    /**
     * 上传文件，自定义文件名
     *
     * @param fileInputStream 文件流
     * @param fileName        文件名，带后缀
     * @return
     */
    FileVo uploadFileWithFileName(InputStream fileInputStream, String fileName);

    /**
     * 上传文件
     *
     * @param modelName  模板名称
     * @param fileName   生成文件名称
     * @param flowId     流程Id
     * @param flowStatus 流程状态
     * @param dataMap    数据
     */
    void uploadFileWithFileName(String modelName, String fileName,
                                Long flowId, String flowStatus, JSONObject dataMap);

    /**
     * 获取文件大小
     *
     * @param url 下载链接
     * @return
     */
    FileDetail getFileSize(String url);
}
