package com.github.jfcloud.gene.flow.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;

@Data
public class FlowAuditDto {

    /**
     * 流程状态
     */
    @Schema(description = "流程状态")
    private String flowStatus;

    @Schema(description = "流程状态文本")
    private String flowStatusLabel;
    /**
     * 审核状态
     */
    @Schema(description = "审核意见，是否同意", example = "yes/no")
    private String auditResult;

    @Schema(description = "分管领导是否同意", example = "yes/no")
    private String leaderResult;

    /**
     * 备注
     */
    @Schema(description = "备注")
    private String remarks;

    /**
     * 创建人签名
     */
    @Schema(description = "创建人签名")
    private String createSign;

    @Schema(description = "创建人姓名")
    private String createName;

    private String createBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
