package com.github.jfcloud.gene.flow.dto;

import com.github.jfcloud.gene.form.dto.StrainCustomDto;
import com.github.jfcloud.gene.form.dto.StrainPurificationInfoDto;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class FlowDetailDto {

    @Schema(description = "项目id")
    private Long id;

    /**
     * 项目名称
     */
    @Schema(description = "项目名称")
    private String projectName;

    /**
     * 合同编号
     */
    @Schema(description = "合同编号")
    private String contractNo;

    /**
     * 项目负责人Id
     */
    @Schema(description = "项目负责人Id")
    private Long projectLeaderId;

    /**
     * 项目负责人名称
     */
    @Schema(description = "项目负责人名称")
    private String projectLeaderName;

    /**
     * 项目负责人电话
     */
    @Schema(description = "项目负责人电话")
    private String projectLeaderPhone;

    /**
     * 项目负责人邮箱
     */
    @Schema(description = "项目负责人邮箱")
    private String projectLeaderEmail;

    @Schema(description = "申请人id")
    private Long applicantId;

    @Schema(description = "申请人姓名")
    private String applicantName;

    @Schema(description = "申请人电话")
    private String applicantPhone;

    /**
     * 机构名称
     */
    @Schema(description = "机构名称")
    private String institutionName;

    /**
     * 状态
     */
    @Schema(description = "状态值")
    private String status;

    @Schema(description = "状态值")
    private String target;

    @Schema(description = "状态")
    private String statusLabel;

    @Schema(description = "文件下载链接")
    private String fileUrl;

    @Schema(description = "文件名称")
    private String filename;

    @Schema(description = "基因编辑部门负责人id")
    private Long geneEditPlId;

    @Schema(description = "基因编辑部门负责人名称")
    private String geneEditPlName;

    @Schema(description = "项目管理部审核人id")
    private Long projectManageId;

    @Schema(description = "项目管理部审核人名称")
    private String projectManageName;

    @Schema(description = "品系定制")
    private StrainCustomDto custom;

    @Schema(description = "品系净化扩繁")
    private StrainPurificationInfoDto purification;

}