package com.github.jfcloud.gene.flow.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;

@Data
public class FlowPageDto {

    @Schema(description = "流程id")
    private Long id;

    @Schema(description = "科研id")
    private Long kyId;

    /**
     * 项目名称
     */
    @Schema(description = "项目名称")
    private String projectName;

    /**
     * 合同编号
     */
    @Schema(description = "合同编号")
    private String contractNo;

    /**
     * 项目负责人Id
     */
    @Schema(description = "项目负责人Id")
    private Long projectLeaderId;

    @Schema(description = "项目负责人")
    private String projectLeaderName;

    /**
     * 状态
     */
    @Schema(description = "状态值")
    private String status;

    @Schema(description = "状态")
    private String statusLabel;

    /**
     * 批准编号
     */
    @Schema(description = "批准编号")
    private String approvalNo;

    /**
     * 申请人
     */
    @Schema(description = "申请人id")
    private String createBy;

    @Schema(description = "申请日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Schema(description = "申请人")
    private String createByName;

    @Schema(description = "文件下载链接")
    private String fileUrl;

    @Schema(description = "文件名称")
    private String filename;
}