package com.github.jfcloud.gene.flow.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.github.jfcloud.gene.common.interceptor.anno.AutoStuff;
import com.github.jfcloud.gene.common.interceptor.enums.AnnoEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 文档更新记录
 * flow_file_version
 */
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@Data
public class FlowFileVersion extends Model implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 流程id
     */
    private Long flowId;

    /**
     * 流程状态
     */
    private String flowStatus;

    /**
     * 模板名称
     */
    private String templateName;

    /**
     * 模板数据
     */
    private String dataMap;

    /**
     * 文件名称
     */
    private String filename;

    /**
     * 文件路径
     */
    private String filepath;

    /**
     * 文件md5
     */
    private String fileMd5;

    /**
     * 请求路径
     */
    private String uri;

    /**
     * 创建人
     */
    @TableField(fill = FieldFill.INSERT)
    @AutoStuff(annoType = AnnoEnum.CREATE_BY)
    private String createBy;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT, value = "create_time")
    @AutoStuff(annoType = AnnoEnum.CREATE_TIME)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private static final long serialVersionUID = 1L;

    /**
     * 设置dataMap，替换图片Base64字符串
     * @param dataMap
     * @return
     */
    public FlowFileVersion setDataMapWithoutImg(String dataMap) {
        this.dataMap = dataMap.replaceAll("\"iVBOR.*?\"", "\"[图片Base64]\"");
        return this;
    }
}