package com.github.jfcloud.gene.flow.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.github.jfcloud.gene.file.vo.FileDetail;
import com.github.jfcloud.gene.flow.dto.FlowDetailDto;
import com.github.jfcloud.gene.flow.dto.FlowPageDto;
import com.github.jfcloud.gene.flow.entity.FlowInfo;
import com.github.jfcloud.gene.flow.vo.FlowAuditVo;
import com.github.jfcloud.gene.flow.vo.FlowDetailVo;
import com.github.jfcloud.gene.flow.vo.FlowPageVo;
import com.github.jfcloud.gene.flow.vo.SynProjectVo;

import java.util.List;

public interface FlowInfoService extends IService<FlowInfo> {

    /**
     * 分页查询
     *
     * @param vo
     * @return
     */
    Page<FlowPageDto> getPage(FlowPageVo vo);


    /**
     * 详情
     *
     * @param id
     * @return
     */
    FlowDetailDto getDetail(Long id);

    /**
     * 新增
     *
     * @param vo
     */
    void saveFlow(FlowDetailVo vo);

    /**
     * 编辑
     *
     * @param id
     * @param vo
     */
    void updateFlow(Long id, FlowDetailVo vo);

    /**
     * 提交
     *
     * @param id
     */
    void submitFlow(Long id);

    /**
     * 审核
     *
     * @param id
     * @param vo
     */
    void audit(Long id, FlowAuditVo vo);

    /**
     * 执行
     *
     * @param id
     */
    void execute(Long id, SynProjectVo vo);

    /**
     * 生成文档
     *
     * @param flowInfo
     */
    void geneWord(Long flowId);

    /**
     * 复制
     *
     * @param id
     */
    void copyFlow(Long id);

    /**
     * 查询项目附件
     *
     * @param id
     * @return
     */
    List<FileDetail> getFile(Long id);
}
