package com.github.jfcloud.gene.flow.service.impl;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.jfcloud.gene.common.constant.StrConstant;
import com.github.jfcloud.gene.common.constant.WhetherEnum;
import com.github.jfcloud.gene.flow.entity.FlowAudit;
import com.github.jfcloud.gene.flow.mapper.FlowAuditMapper;
import com.github.jfcloud.gene.flow.service.FlowAuditService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Optional;
import java.util.stream.Collectors;

@Slf4j
@Service
public class FlowAuditServiceImpl extends ServiceImpl<FlowAuditMapper, FlowAudit> implements FlowAuditService {

    @Override
    public List<FlowAudit> auditList(Long flowId, String flowType, boolean afterReject) {
        List<FlowAudit> auditList = list(new LambdaQueryWrapper<>(FlowAudit.class)
                .eq(FlowAudit::getFlowId, flowId)
                .eq(StrUtil.isNotBlank(flowType), FlowAudit::getFlowType, flowType)
                .eq(FlowAudit::getDeleted, WhetherEnum.NO.getCode())
                .orderByDesc(FlowAudit::getCreateTime));
        if (!afterReject) {
            return auditList;
        }

        Optional<FlowAudit> opt = auditList.stream().filter(audit -> StrConstant.NO.equals(audit.getAuditResult())).findFirst();
        if (opt.isPresent()) {
            FlowAudit rejectedAudit = opt.get();
            auditList = auditList.stream().filter(audit -> audit.getCreateTime().after(rejectedAudit.getCreateTime())).collect(Collectors.toList());
        }
        return auditList;
    }
}
