package com.github.jfcloud.gene.flow.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.jfcloud.gene.file.vo.FileVo;
import com.github.jfcloud.gene.flow.entity.FlowFileVersion;
import com.github.jfcloud.gene.flow.mapper.FlowFileVersionMapper;
import com.github.jfcloud.gene.flow.service.FlowFileVersionService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class FlowFileVersionServiceImpl extends ServiceImpl<FlowFileVersionMapper, FlowFileVersion> implements FlowFileVersionService {

    @Override
    public FileVo getLatestFile(Long flowId) {
        FlowFileVersion flowFileVersion = this.getOne(new LambdaQueryWrapper<>(FlowFileVersion.class)
                .select(FlowFileVersion::getFilename, FlowFileVersion::getFilepath)
                .eq(FlowFileVersion::getFlowId, flowId)
                .orderByDesc(FlowFileVersion::getCreateTime)
                .last("limit 1"));

        if (flowFileVersion == null) {
            return new FileVo();
        }
        return new FileVo(flowFileVersion.getFilename(), flowFileVersion.getFilepath());
    }
}
