package com.github.jfcloud.gene.flow.vo;

import com.github.jfcloud.gene.form.vo.StrainCustomVo;
import com.github.jfcloud.gene.form.vo.StrainPurificationInfoVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Data
public class FlowDetailVo {

    @Schema(description = "基因定制获得目标")
    @NotEmpty(message = "获得目标不能为空")
    private String target;

    /**
     * 项目名称
     */
    @Schema(description = "项目名称")
    @NotEmpty(message = "项目名称不能为空")
    private String projectName;

    /**
     * 合同编号
     */
    @Schema(description = "合同编号")
    private String contractNo;

    /**
     * 项目负责人Id
     */
    @Schema(description = "项目负责人Id")
    @NotNull(message = "项目负责人Id不能为空")
    private Long projectLeaderId;

    /**
     * 项目负责人名称
     */
    @Schema(description = "项目负责人名称")
    private String projectLeaderName;

    /**
     * 项目负责人电话
     */
    @Schema(description = "项目负责人电话")
    private String projectLeaderPhone;

    /**
     * 项目负责人邮箱
     */
    @Schema(description = "项目负责人邮箱")
    private String projectLeaderEmail;

    @Schema(description = "基因编辑部门负责人")
    private Long geneEditPlId;

    @Schema(description = "项目管理部审核人")
    private Long projectManageId;

    /**
     * 机构名称
     */
    @Schema(description = "机构名称")
    private String institutionName;

    @Schema(description = "申请人id")
    private Long applicantId;

    @Schema(description = "申请人姓名")
    private String applicantName;

    @Schema(description = "申请人电话")
    private String applicantPhone;

    @Schema(description = "品系定制")
    private StrainCustomVo custom;

    @Schema(description = "品系净化扩繁")
    private StrainPurificationInfoVo purification;

}