package com.github.jfcloud.gene.flow.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class FlowPageVo {

    @Schema(description = "每页大小")
    protected long size = 10;

    /**
     * 当前页
     */
    @Schema(description = "当前页")
    protected long current = 1;

    /**
     * 项目名称
     */
    @Schema(description = "项目名称")
    private String projectName;

    /**
     * 合同编号
     */
    @Schema(description = "合同编号")
    private String contractNo;

    /**
     * 项目负责人Id
     */
    @Schema(description = "项目负责人Id")
    private Long projectLeaderId;

    /**
     * 状态
     */
    @Schema(description = "状态列表")
    private List<String> statusList = new ArrayList<>();

    /**
     * 批准编号
     */
    @Schema(description = "批准编号")
    private String approvalNo;

    /**
     * 申请人
     */
    @Schema(description = "申请人")
    private String createBy;
}