package com.github.jfcloud.gene.form.entity;

import com.github.jfcloud.gene.common.entity.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 品系定制基本信息
 * strain_custom_info
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class StrainCustomInfo extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    @Schema(description = "主键")
    private Long id;
    /**
     * 流程主键
     */
    @Schema(description = "流程主键")
    private Long flowId;
    /**
     * 动物品系定制
     */
    @Schema(description = "动物品系定制")
    private String animalStrainCustom;
    /**
     * 目标基因名称（简称）
     */
    @Schema(description = "目标基因名称（简称）")
    private String targetGeneName;
    /**
     * NCBI Gene ID
     */
    @Schema(description = "NCBI Gene ID")
    private String ncbiGeneId;
    /**
     * 基因敲除种属
     */
    @Schema(description = "基因敲除种属")
    private String knockoutSpecies;
    /**
     * 基因敲除种属（其他）
     */
    @Schema(description = "基因敲除种属（其他）")
    private String knockoutSpeciesOther;

    @Schema(description = "遗传工程模型种类")
    private String geneticModelType;
    /**
     * 基因敲除具体要求
     */
    @Schema(description = "基因敲除具体要求")
    private String knockoutDetail;
    /**
     * 插入基因要求
     */
    @Schema(description = "插入基因要求")
    private String insertGeneDetail;
    /**
     * 其他要求
     */
    @Schema(description = "其他要求")
    private String otherRequirement;
    /**
     * 申请方提供材料
     */
    @Schema(description = "申请方提供材料")
    private String providedMaterials;
}