package com.github.jfcloud.gene.form.entity;

import com.github.jfcloud.gene.common.entity.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 品系净化扩繁基本信息表
 * strain_purification_info
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class StrainPurificationInfo extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @Schema(description = "主键")
    private Long id;
    /**
     * 流程主键
     */
    @Schema(description = "流程主键")
    private Long flowId;
    /**
     * 品系名称
     */
    @Schema(description = "品系名称")
    private String strainName;
    /**
     * 动物饲养地
     */
    @Schema(description = "动物饲养地")
    private String breedingLocation;
    /**
     * 获得来源
     */
    @Schema(description = "获得来源")
    private String source;
    /**
     * 引种来源官方网站链接
     */
    @Schema(description = "引种来源官方网站链接")
    private String sourceLink;
    /**
     * 自行提供外部动物信息
     */
    @Schema(description = "自行提供外部动物信息")
    private String externalAnimalInfo;
    /**
     * 动物出生信息、基因型、鉴定策略
     */
    @Schema(description = "动物出生信息、基因型、鉴定策略")
    private String birthGeneIdentification;
    /**
     * 实验安排
     */
    @Schema(description = "实验安排")
    private String experimentalArrangement;
    /**
     * 遗传背景
     */
    @Schema(description = "遗传背景")
    private String geneticBackground;

    @Schema(description = "遗传背景说明")
    private String geneticBackgroundNote;
    /**
     * 遗传背景（其他）
     */
    @Schema(description = "遗传背景（其他）")
    private String geneticBackgroundOther;
    /**
     * 雌性繁育方式
     */
    @Schema(description = "雌性繁育方式")
    private String femaleBreedingMethod;
    /**
     * 雄性繁育方式
     */
    @Schema(description = "雄性繁育方式")
    private String maleBreedingMethod;
    /**
     * 有无明显表型特征
     */
    @Schema(description = "有无明显表型特征")
    private String phenotype;
    /**
     * 表型描述
     */
    @Schema(description = "表型描述")
    private String phenotypeDescription;
    /**
     * 是否做过微生物检测
     */
    @Schema(description = "是否做过微生物检测")
    private String microbialTesting;
    /**
     * 检测细节
     */
    @Schema(description = "检测细节")
    private String testingDetails;
    /**
     * 基因鉴定
     */
    @Schema(description = "基因鉴定")
    private String geneTesting;
    /**
     * 实验后期安排
     */
    @Schema(description = "实验后期安排")
    private String experimentalPostArrangement;
    /**
     * 冻存服务需求
     */
    @Schema(description = "冻结服务需求")
    private String cryopreservationService;
    /**
     * 冻存周期
     */
    @Schema(description = "冻结周期")
    private String cryopreservationPeriod;
    /**
     * 冻存数量（如精子麦管数、胚胎数）
     */
    @Schema(description = "冻结数量（如精子麦管数、胚胎数）")
    private Integer cryopreservationCount;
}