package com.github.jfcloud.gene.form.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;


@Data
@Schema(description = "品系定制")
public class StrainCustomVo {

    @Schema(hidden = true)
    private Long flowId;

    @Schema(description = "动物品系定制", example = "基因工程动物,打靶载体,基因工程细胞")
    private String animalStrainCustom;

    @Schema(description = "目标基因名称（简称）")
    private String targetGeneName;

    @Schema(description = "NCBI Gene ID")
    private String ncbiGeneId;

    @Schema(description = "基因敲除种属", example = "小鼠,大鼠")
    private String knockoutSpecies;

    @Schema(description = "基因敲除种属（其他）")
    private String knockoutSpeciesOther;

    @Schema(description = "遗传工程模型种类", example = "全身性基因敲除KO,条件性/组织特异性基因敲除CKO")
    private String geneticModelType;

    @Schema(description = "基因敲除具体要求")
    private String knockoutDetail;

    @Schema(description = "插入基因要求")
    private String insertGeneDetail;

    @Schema(description = "其他要求")
    private String otherRequirement;

    @Schema(description = "申请方提供材料", example = "骨架载体质粒")
    private String providedMaterials;

    private List<StrainCustomDetailVo> detailList = new ArrayList<>();
}