package com.github.jfcloud.gene.lis.dto;

import lombok.Data;

/**
 * 检疫商品订单记录请求参数
 */
@Data
public class QuarantineOrderRequest {

    /**
     * 请求机构id
     */
    private String clientId;

    /**
     * 订单业务唯一键（请求方订单业务id唯一标识）
     */
    private String businessId;

    /**
     * 订单名称
     */
    private String orderName;

    /**
     * 下单人名称(下单用户名称)
     */
    private String orderingUserName;

    /**
     * 用户下单时间yyyy-MM-dd HH:mm:ss
     */
    private String orderingTime;

    /**
     * 检测类型1 商品，2检疫项
     */
    private Integer checkType;

    /**
     * 商品编号，取自检疫商品数据的productSn
     */
    private String productId;

    /**
     * 商品名称，取自检疫商品数据的productName
     */
    private String productName;

    /**
     * 宠物基础信息
     */
    private PetBaseInfoDTO petBaseInfoDTO;


    /**
     * 宠物基础信息DTO
     */
    @Data
    public static class PetBaseInfoDTO {

        /**
         * 宠物id 唯一标识
         */
        private String petId;

        /**
         * 宠物类型Code,取自字典：goods_detection_type
         */
        private Integer goodsDetectionType;

        /**
         * 宠物品种Code，调用动物品种列表接口获取
         */
        private String petTypeCode;

        /**
         * 宠物名称
         */
        private String petName;

        /**
         * 宠物主名称
         */
        private String petOwnerName;

        /**
         * 宠物主联系电话
         */
        private String petOwnerPhone;

        /**
         * 宠物性别 1公 2母
         */
        private Integer petGender;

        /**
         * 宠物年龄--年
         */
        private Integer ageYear;

        /**
         * 宠物年龄--月
         */
        private Integer ageMonth;

        /**
         * 是否绝育 0未绝育 1已绝育
         */
        private Integer neutered;

        /**
         * 疫苗情况
         */
        private String vaccineDescription;

        /**
         * 驱虫情况说明
         */
        private String insecticideDescription;

        /**
         * 既往病史说明
         */
        private String diseaseDescription;

        /**
         * 既往用药史说明
         */
        private String medicineDescription;
    }
}
