package com.github.jfcloud.gene.sample.controller;

import cn.hutool.core.io.IoUtil;
import cn.hutool.core.io.resource.ResourceUtil;
import cn.hutool.core.net.URLEncodeUtil;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.io.InputStream;

@Slf4j
@Tag(name = "样本送检申请单")
@RestController
@RequestMapping("/sample/check/item")
@RequiredArgsConstructor
public class SampleCheckItemController {

    @Operation(summary = "送检申请单明细模板")
    @SneakyThrows
    @GetMapping("/template")
    public void downloadTemplate(HttpServletResponse response) {

        response.setContentType("application/vnd.openxmlformats-officedocument.spreadsheetml.sheet");
        response.setCharacterEncoding("utf-8");
        response.setHeader("Content-Disposition", "attachment;filename*=utf8''" + URLEncodeUtil.encode("送检申请单明细模板.xlsx"));

        try (InputStream stream = ResourceUtil.getStream("officeTemplate/sampleCheckItem.xlsx")) {
            IoUtil.copy(stream, response.getOutputStream());
        }
    }
}
