package com.github.jfcloud.gene.sample.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;

@Data
public class SampleAuditDto {

    @Schema(description = "流程状态")
    private String flowStatus;

    @Schema(description = "流程状态文本")
    private String flowStatusLabel;

    @Schema(description = "审核意见，是否同意", example = "yes/no")
    private String auditResult;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "处理办法")
    private String processMethod;

    @Schema(description = "创建人签名")
    private String createSign;

    @Schema(description = "创建人姓名")
    private String createName;

    private String createBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}