package com.github.jfcloud.gene.sample.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class SamplePageDto {

    @Schema(description = "样本id")
    private Long id;

    @Schema(description = "科研id")
    private Long kyId;

    /**
     * 项目名称
     */
    @Schema(description = "项目名称")
    private String projectName;

    @Schema(description = "项目编号")
    private String projectNo;

    @Schema(description = "类型", example = "病理pathological 动物样本检测animal 动物影像检测animalImage")
    private String type;

    @Schema(description = "申请人id")
    private Long applicantId;

    @Schema(description = "申请人名称")
    private String applicantName;

    @Schema(description = "部门负责人Id")
    private Long departLeaderId;

    @Schema(description = "部门负责人姓名")
    private String departLeaderName;

    @Schema(description = "项目管理部审核人")
    private Long projectManageId;

    @Schema(description = "项目管理部审核人姓名")
    private String projectManageName;

    @Schema(description = "批准编号")
    private String approvalNo;

    @Schema(description = "申请时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime applyTime;

    /**
     * 状态
     */
    @Schema(description = "状态值")
    private String status;

    @Schema(description = "状态")
    private String statusLabel;

    @Schema(description = "文件下载链接")
    private String fileUrl;

    @Schema(description = "文件名称")
    private String filename;
}