package com.github.jfcloud.gene.sample.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Size;

@EqualsAndHashCode(callSuper = true)
@Data
public class CommissionDetail extends Model {

    @Schema(description = "主键")
    @TableId(type = IdType.AUTO)
    private Integer id;

    @Schema(description = "检测委托表id")
    private Long inspectionCommissionId;

    @Schema(description = "样本类型：血清、血浆")
    @Size(max = 50)
    private String sampleType;

    @Schema(description = "样本数量")
    @Size(max = 10)
    private String sampleQuantity;

    @Schema(description = "样本编号")
    @Size(max = 50)
    private String sampleCode;
}