package com.github.jfcloud.gene.sample.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Size;
import java.time.LocalDate;

@EqualsAndHashCode(callSuper = true)
@Data
public class InspectionCommission extends Model {

    @Schema(description = "主键")
    @TableId(type = IdType.INPUT)
    private Long id;

    @Schema(description = "动物样本送检id")
    private Long sampleAnimalId;

    @Schema(description = "检测类型：猪 猴 犬")
    @Size(max = 255)
    private String detectType;

    @Schema(description = "送检单位")
    @Size(max = 255)
    private String submitUnit;

    @Schema(description = "送检人id")
    private Long submitUserId;

    @Schema(description = "送检人姓名")
    @Size(max = 50)
    private String submitUserName;

    @Schema(description = "联系电话")
    @Size(max = 20)
    private String submitPhone;

    @Schema(description = "邮箱")
    @Size(max = 100)
    private String submitEmail;

    @Schema(description = "报告邮寄地址")
    @Size(max = 200)
    private String reportAddress;

    @Schema(description = "送检日期")
    private LocalDate submitDate;

    @Schema(description = "扩展字段")
    private String ext;
}