package com.github.jfcloud.gene.sample.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@Data
public class LiveImagingDetail extends Model {

    @TableId(type = IdType.AUTO)
    private Long id;

    @Schema(description = "动物影像ID")
    private Long imagingId;

    @Schema(description = "活体成像类型")
    private String imagingType;

    @Schema(description = "荧光基团/荧光染料")
    private String fluorophore;

    @Schema(description = "激发光波长（单位：mm）")
    private String excitationWavelength;

    @Schema(description = "发射光波长（单位：mm）")
    private String emissionWavelength;

    @Schema(description = "荧光素酶")
    private String luciferase;

    @Schema(description = "荧光素底物")
    private String luciferinSubstrate;

    @Schema(description = "具体需求指标")
    private String specificRequirements;
}