package com.github.jfcloud.gene.sample.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@Data
public class MicroCtDetail extends Model {

    @TableId(type = IdType.AUTO)
    private Long id;

    @Schema(description = "动物影像ID")
    private Long imagingId;

    @Schema(description = "骨骼目标区域")
    private String boneArea;

    @Schema(description = "骨骼目标区域-其他")
    private String boneAreaOther;

    @Schema(description = "骨植入位置")
    private String boneImplantPosition;

    @Schema(description = "骨植入位置-其他")
    private String boneImplantPositionOther;

    @Schema(description = "开孔直径（单位：mm）")
    private String trepanningDiameter;

    @Schema(description = "开孔深度（单位：mm）")
    private String trepanningDepth;

    @Schema(description = "材料预处理")
    private String preprocess;

    @Schema(description = "材料预处理-其他")
    private String preprocessOther;

    @Schema(description = "材料性质")
    private String materialProperties;

    @Schema(description = "材料性质-其他")
    private String materialPropertiesOther;

    @Schema(description = "数据要求")
    private String dataRequirements;

    @Schema(description = "数据要求-其他")
    private String dataRequirementsOther;

    @Schema(description = "图片要求")
    private String imageRequirements;

    @Schema(description = "roi形态")
    private String roiForm;

    @Schema(description = "roi-其他（重点观察缺损区内部）")
    private String roiOther1;

    @Schema(description = "roi-其他要求")
    private String roiOther2;
}