package com.github.jfcloud.gene.sample.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.github.jfcloud.gene.common.entity.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@Data
public class SampleAnimalImaging extends BaseEntity {

    @TableId(type = IdType.INPUT)
    private Long id;

    @Schema(description = "样本ID")
    private Long sampleId;

    @Schema(description = "课题组")
    private String researchGroup;

    private String requirements;

    @Schema(description = "对比方法")
    private String contrast;

    @Schema(description = "实验目的")
    private String experimentPurpose;

    @Schema(description = "实验周期（是否定期检测）")
    private String experimentPeriod;

    @Schema(description = "动物类型")
    private String animalType;

    @Schema(description = "动物类型-其他")
    private String animalTypeOther;

    @Schema(description = "品系")
    private String animalStrain;

    @Schema(description = "数量")
    private Integer animalQuantity;

    @Schema(description = "性别")
    private String animalGender;

    @Schema(description = "周/月龄")
    private String animalAge;

    @Schema(description = "建模信息及分组")
    private String modelInfo;

    @Schema(description = "预期结果")
    private String expectedResult;

    @Schema(description = "是否已有该类型成像的动物影像")
    private String hasPriorImaging;

    @Schema(description = "前期发表论文")
    private String priorPublications;

    @Schema(description = "需求说明")
    private String demand;

    @Schema(description = "参考文献")
    private String reference;
}