package com.github.jfcloud.gene.sample.entity;

import com.github.jfcloud.gene.common.entity.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@Data
public class SamplePathological extends BaseEntity {

    private Long id;

    @Schema(description = "样本ID")
    private Long sampleId;

    @Schema(description = "课题名称")
    private String subjectName;

    @Schema(description = "课题负责人")
    private Long subjectLeaderId;

    @Schema(description = "课题负责人姓名")
    private String subjectLeaderName;

    @Schema(description = "取材方式")
    private String qcfs;

    @Schema(description = "固定液类型")
    private String gdy;

    @Schema(description = "固定液类型-其他")
    private String gdyQt;

    @Schema(description = "修块脱水样本数量")
    private Integer xkts;

    @Schema(description = "石蜡包埋样本数量")
    private Integer slbm;

    @Schema(description = "石蜡切片-蜡块数量")
    private Integer sllk;

    @Schema(description = "石蜡切片-切片数量")
    private Integer slqp;

    @Schema(description = "冰冻切片-样本数量")
    private Integer bdyb;

    @Schema(description = "冰冻切片-切片数量")
    private Integer bdqp;

    @Schema(description = "HE染色切片数量")
    private Integer he;

    @Schema(description = "MASSON染色切片数量")
    private Integer masson;

    @Schema(description = "PSR染色切片数量")
    private Integer psr;

    @Schema(description = "PAS染色切片数量")
    private Integer pas;

    @Schema(description = "油红O染色切片数量")
    private Integer yho;

    @Schema(description = "FJB染色切片数量")
    private Integer fjb;

    @Schema(description = "EVG染色切片数量")
    private Integer evg;

    @Schema(description = "TUNEL染色切片数量")
    private Integer tunel;

    @Schema(description = "WGA染色切片数量")
    private Integer wga;

    @Schema(description = "其他染色切片数量")
    private Integer qtqp;

    @Schema(description = "免疫组化染色切片数量")
    private Integer myzhqp;

    @Schema(description = "免疫组化具体指标")
    private String myzhzb;

    @Schema(description = "免疫荧光染色切片数量")
    private Integer myygqp;

    @Schema(description = "免疫荧光具体指标")
    private String myygzb;

    @Schema(description = "切片扫描切片数量")
    private Integer qpsmqp;

    @Schema(description = "切片扫描染色类型")
    private String qpsmrs;

    @Schema(description = "阅片切片数量")
    private Integer ypqp;

    @Schema(description = "阅片切片染色类型")
    private String yprs;

    @Schema(description = "阅片说明")
    private String ypsm;

    @Schema(description = "检测种属（动物）")
    private String jczs;

    @Schema(description = "检测种属（其他）")
    private String jczsQt;

    @Schema(description = "检测方法（IF）")
    private String jcff;

    @Schema(description = "检测方法（其他）")
    private String jcffQt;

    @Schema(description = "特殊要求：加急，重复")
    private String specialRequirements;

    @Schema(description = "预实验")
    private Boolean preExperiment;

    @Schema(description = "预实验课题名称")
    private String preSubjectName;

    @Schema(description = "预实验申请人id")
    private Long preApplicantId;

    @Schema(description = "预实验申请人姓名")
    private String preApplicantName;

    @Schema(description = "预实验申请人负责人id")
    private Long preApplicantLeaderId;

    @Schema(description = "预实验申请人负责人姓名")
    private String preApplicantLeaderName;

    @Schema(description = "预实验的内容")
    private String preContent;

    @Schema(description = "预实验的结论")
    private String preConclusion;

    @Schema(description = "预实验的实验日期")
    private String preDate;

    @Schema(description = "预实验的实验人员")
    private String prePeople;
}