package com.github.jfcloud.gene.sample.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@Data
public class UltrasoundDetail extends Model {

    @TableId(type = IdType.AUTO)
    private Long id;

    @Schema(description = "动物影像ID")
    private Long imagingId;

    @Schema(description = "心脏区域")
    private String heartArea;

    @Schema(description = "心脏区域-其他")
    private String heartAreaOther;

    @Schema(description = "血管区域")
    private String vesselArea;

    @Schema(description = "血管区域-其他")
    private String vesselAreaOther;

    @Schema(description = "腹部区域")
    private String abdomenArea;

    @Schema(description = "腹部区域-其他")
    private String abdomenAreaOther;

    @Schema(description = "心超数据")
    private String heartData;

    @Schema(description = "其他数据")
    private String otherData;

    @Schema(description = "图片要求")
    private String imageRequirements;
}