package com.github.jfcloud.gene.sample.enums;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 样本检测类型枚举
 */
public enum SampleTypeEnum {
    /**
     * 病理
     */
    PATHOLOGICAL("pathological", "病理样本检测"),
    /**
     * 动物样本
     */
    ANIMAL("animal", "动物样本检测"),
    /**
     * 动物影像
     */
    ANIMAL_IMAGE("animalImage", "动物影像检测");

    private final String type;

    private final String label;

    SampleTypeEnum(String type, String label) {
        this.type = type;
        this.label = label;
    }

    public static List<String> allType() {
        return Arrays.stream(values()).map(SampleTypeEnum::getType).collect(Collectors.toList());
    }

    public static SampleTypeEnum resolve(String type) {
        for (SampleTypeEnum e : values()) {
            if (e.getType().equals(type)) {
                return e;
            }
        }
        return null;
    }

    public String getType() {
        return type;
    }

    public String getLabel() {
        return label;
    }
}
