package com.github.jfcloud.gene.sample.enums;

import cn.hutool.core.util.StrUtil;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * 科研项目送检样本类型
 */
public enum ScientificSampleTypeEnum {
    elisa("ELISA样本送检"),
    urine("尿常规样本送检"),
    blood("血常规样本送检"),
    serum("血清样本送检");

    private final String description;

    ScientificSampleTypeEnum(String description) {
        this.description = description;
    }

    public static ScientificSampleTypeEnum resolve(String type) {
        for (ScientificSampleTypeEnum value : values()) {
            if (value.getDescription().equals(type)) {
                return value;
            }
        }
        return null;
    }

    public static List<String> resolveList(String type) {
        if (StrUtil.isBlank(type)) {
            return Collections.emptyList();
        }
        List<String> list = new ArrayList<>();
        for (String s : type.split(",")) {
            ScientificSampleTypeEnum item = resolve(s);
            if (item != null) {
                list.add(item.name().toLowerCase());
            }
        }

        return list;
    }

    public String getDescription() {
        return description;
    }
}
