package com.github.jfcloud.gene.sample.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.github.jfcloud.gene.flow.vo.SynProjectVo;
import com.github.jfcloud.gene.sample.dto.SampleAuditDto;
import com.github.jfcloud.gene.sample.dto.SampleDetailDto;
import com.github.jfcloud.gene.sample.dto.SamplePageDto;
import com.github.jfcloud.gene.sample.entity.SampleInfo;
import com.github.jfcloud.gene.sample.vo.SampleAuditVo;
import com.github.jfcloud.gene.sample.vo.SamplePageVo;
import com.github.jfcloud.gene.sample.vo.SampleSubmitVo;

import java.util.List;

public interface SampleInfoService extends IService<SampleInfo> {

    /**
     * 保存
     */
    void saveSample(SampleSubmitVo vo);

    /**
     * 修改
     */
    void updateSample(Long id, SampleSubmitVo vo);

    /**
     * 生成文档
     *
     * @param id
     */
    void generate(Long id);

    /**
     * 提交
     *
     * @param id
     */
    void submit(Long id);

    /**
     * 复制
     *
     * @param id
     */
    void copySample(Long id);

    /**
     * 分页列表
     *
     * @param vo
     * @return
     */
    Page<SamplePageDto> getPage(SamplePageVo vo);

    SampleDetailDto getDetail(Long id);

    /**
     * 审批
     *
     * @param id
     * @param vo
     */
    void audit(Long id, SampleAuditVo vo);

    /**
     * 审批列表
     *
     * @param id
     * @return
     */
    List<SampleAuditDto> getAuditRecords(Long id);

    /**
     * 执行
     * @param id
     * @param vo
     */
    void execute(Long id, SynProjectVo vo);
}


