package com.github.jfcloud.gene.sample.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.Size;
import java.time.LocalDate;
import java.util.ArrayList;
import java.util.List;

@Schema
@Data
public class CommissionVo {

    @JsonIgnore
    @Schema(hidden = true)
    private Long id;

    @Schema(description = "检测类型", example = "猪 猴 犬 物料环境", hidden = true)
    private String detectType;

    @Schema(description = "送检单位")
    @Size(max = 255)
    private String submitUnit;

    @Schema(description = "送检人id")
    private Long submitUserId;

    @Schema(description = "送检人姓名")
    @Size(max = 50)
    private String submitUserName;

    @Schema(description = "联系电话")
    @Size(max = 20)
    private String submitPhone;

    @Schema(description = "邮箱")
    @Size(max = 100)
    private String submitEmail;

    @Schema(description = "报告邮寄地址")
    @Size(max = 200)
    private String reportAddress;

    @Schema(description = "送检日期", example = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate submitDate;

    @Schema(description = "扩展字段（json字符串）")
    private String ext;

    @Schema(description = "样本列表")
    private List<CommissionDetailVo> detailList = new ArrayList<>();
}