package com.github.jfcloud.gene.sample.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.Size;

@Accessors(chain = true)
@Data
public class PreExperimentVo {

    @JsonIgnore
    @Schema(description = "实验标题", hidden = true)
    private String title;

    @Schema(description = "检测方法", example = "IF IHC")
    private String detectMethod;

    @Schema(description = "切片类型")
    @Size(max = 255, message = "切片类型不能超过255个字符")
    private String qplx;

    @Schema(description = "封闭类型")
    @Size(max = 255, message = "封闭类型不能超过255个字符")
    private String fblx;

    @Schema(description = "修复条件")
    @Size(max = 255, message = "修复条件不能超过255个字符")
    private String xftj;

    @Schema(description = "抗体信息")
    @Size(max = 255, message = "抗体信息不能超过255个字符")
    private String ktxx;

    @Schema(description = "组织编号")
    @Size(max = 255, message = "组织编号不能超过255个字符")
    private String zzbh;

    @Schema(description = "实验结果")
    private String syjg;
}