package com.github.jfcloud.gene.sample.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class SampleAnimalImagingVo {

    @Schema(description = "课题组")
    private String researchGroup;

    @Schema(description = "需求说明", example = "活体成像,超声,Micro-CT显像")
    private String requirements;

    @Schema(description = "实验目的")
    private String experimentPurpose;

    @Schema(description = "实验周期")
    private String experimentPeriod;

    @Schema(description = "对比方法")
    private String contrast;

    @Schema(description = "动物类型")
    private String animalType;

    @Schema(description = "动物类型-其他")
    private String animalTypeOther;

    @Schema(description = "品系")
    private String animalStrain;

    @Schema(description = "数量")
    private Integer animalQuantity;

    @Schema(description = "性别")
    private String animalGender;

    @Schema(description = "周/月龄")
    private String animalAge;

    @Schema(description = "建模信息及分组")
    private String modelInfo;

    @Schema(description = "预期结果")
    private String expectedResult;

    @Schema(description = "是否已有该类型成像的动物影像")
    private String hasPriorImaging;

    @Schema(description = "前期发表论文")
    private String priorPublications;

    @Schema(description = "需求说明")
    private String demand;

    @Schema(description = "参考文献")
    private String reference;

    @Schema(description = "活体成像检测")
    private LiveImagingVo liveImaging = new LiveImagingVo();

    @Schema(description = "Micro-CT检测")
    private MicroCtVo microCt = new MicroCtVo();

    @Schema(description = "超声检测")
    private UltrasoundVo ultrasound = new UltrasoundVo();
}