package com.github.jfcloud.gene.sample.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;

@Data
public class SampleAnimalVo {

    @Schema(description = "申请检测", example = "小动物检测 大动物检测")
    @Size(max = 100)
    @NotEmpty(message = "申请检测不能为空")
    private String applyType;

    @Schema(description = "项目负责人id")
    private Long piId;

    @Schema(description = "项目负责人名称")
    @Size(max = 50)
    private String piName;

    @Schema(description = "项目负责人电话")
    @Size(max = 20)
    private String piPhone;

    @Schema(description = "项目负责人邮箱")
    @Size(max = 100)
    private String piEmail;

    @Schema(description = "项目负责人办公室")
    @Size(max = 255)
    private String piOffice;

    @Schema(description = "前期实验结果补充说明")
    private String preliminaryNotes;

    @Schema(description = "检测指标及样本数")
    private String detectionParameters;

    @Schema(description = "特殊检测指标及样本数")
    private String specialDetectionParameters;

    @Schema(description = "送检样本总数量")
    @Size(max = 255)
    private String sampleCheckNum;

    @Schema(description = "检测指标数")
    @Size(max = 255)
    private String checkItemNum;

    @Schema(description = "送样体积")
    @Size(max = 255)
    private String sampleVolume;

    @Schema(description = "动物种属")
    @Size(max = 255)
    private String animalSpecies;

    @Schema(description = "动物种属（其他）")
    @Size(max = 255)
    private String animalSpeciesOther;

    @Schema(description = "样本编号信息")
    private String sampleNum;

    @Schema(description = "交接备注信息")
    @Size(max = 255)
    private String handoverRemark;

    @Schema(description = "病原样本类型")
    @Size(max = 255)
    private String pathogenSampleType;

    @Schema(description = "科研项目送检样本类型")
    @Size(max = 255)
    private String scientificSampleType;

    @Schema(description = "委托列表")
    private CommissionObjVo commission = new CommissionObjVo();

    @Schema(description = "送检单列表")
    private CheckOrderObjVo order = new CheckOrderObjVo();
}