package com.github.jfcloud.gene.sample.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 样本送检申请单
 */
@Setter
@Getter
public class SampleCheckOrderVo {

    @JsonIgnore
    @Schema(hidden = true)
    private Long id;

    /**
     * 申请单类型：ELISA样本送检 尿常规样本送检
     */
    @Schema(description = "申请单类型", example = "ELISA样本送检 尿常规样本送检", hidden = true)
    private String applyType;

    /**
     * 送检单编号
     */
    @Schema(description = "送检单编号")
    private String orderCode;

    /**
     * 申请日期
     */
    @Schema(description = "申请日期", hidden = true)
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date applyDate;

    /**
     * 申请人
     */
    @Schema(description = "申请人ID")
    private Long applyUserId;

    /**
     * 申请人姓名
     */
    @Schema(description = "申请人姓名")
    private String applyUserName;

    /**
     * 申请人电话
     */
    @Schema(description = "申请人电话")
    private String applyUserMobile;

    /**
     * 申请人邮箱
     */
    @Schema(description = "申请人邮箱")
    private String applyUserEmail;

    /**
     * 样本送检人
     */
    @Schema(description = "样本送检人ID")
    private Long sendUserId;

    @Schema(description = "样本送检人姓名")
    private String sendUserName;

    /**
     * 样本接收人
     */
    @Schema(description = "样本接收人ID")
    private Long receiveUserId;

    @Schema(description = "样本接收人姓名")
    private String receiveUserName;

    @Schema(description = "申请单条目")
    private List<CheckItemVo> items = new ArrayList<>();
}