package com.github.jfcloud.gene.sample.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.Pattern;

@Data
public class SamplePageVo {

    @Schema(description = "每页大小")
    protected long size = 10;

    /**
     * 当前页
     */
    @Schema(description = "当前页")
    protected long current = 1;

    /**
     * 项目名称
     */
    @Schema(description = "项目编号或名称")
    private String project;

    @Schema(description = "类型", example = "病理pathological 动物样本检测animal 动物影像检测animalImage")
    @Pattern(regexp = "pathological|animal|animalImage", message = "未知类型")
    private String type;

    /**
     * 状态
     */
    @Schema(description = "状态")
    private String status;

    @Schema(description = "申请人id")
    private Long applicantId;
}