package com.github.jfcloud.gene.sample.vo;

import com.github.jfcloud.gene.file.vo.FileVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.Size;
import java.util.ArrayList;
import java.util.List;

@Data
public class SamplePathologicalVo {

    @Schema(description = "课题名称")
    private String subjectName;

    @Schema(description = "课题负责人")
    private Long subjectLeaderId;

    @Schema(description = "课题负责人姓名")
    private String subjectLeaderName;

    @Schema(description = "取材方式", example = "常规,穿刺")
    private String qcfs;

    @Schema(description = "固定液类型", example = "常规,Carnoy液")
    private String gdy;

    @Schema(description = "固定液类型-其他")
    private String gdyQt;

    @Schema(description = "修块脱水样本数量")
    @Min(value = -1L, message = "修块脱水样本数量不能小于-1")
    private Integer xkts;

    @Schema(description = "石蜡包埋样本数量")
    @Min(value = -1L, message = "石蜡包埋样本数量不能小于-1")
    private Integer slbm;

    @Schema(description = "石蜡切片-蜡块数量")
    @Min(value = -1L, message = "石蜡切片-蜡块数量不能小于-1")
    private Integer sllk;

    @Schema(description = "石蜡切片-切片数量")
    @Min(value = -1L, message = "石蜡切片-切片数量不能小于-1")
    private Integer slqp;

    @Schema(description = "冰冻切片-样本数量")
    @Min(value = -1L, message = "冰冻切片-样本数量不能小于-1")
    private Integer bdyb;

    @Schema(description = "冰冻切片-切片数量")
    @Min(value = -1L, message = "冰冻切片-切片数量不能小于-1")
    private Integer bdqp;

    @Schema(description = "HE染色切片数量")
    @Min(value = -1L, message = "HE染色切片数量不能小于-1")
    private Integer he;

    @Schema(description = "MASSON染色切片数量")
    @Min(value = -1L, message = "MASSON染色切片数量不能小于-1")
    private Integer masson;

    @Schema(description = "PSR染色切片数量")
    @Min(value = -1L, message = "PSR染色切片数量不能小于-1")
    private Integer psr;

    @Schema(description = "PAS染色切片数量")
    @Min(value = -1L, message = "PAS染色切片数量不能小于-1")
    private Integer pas;

    @Schema(description = "油红O染色切片数量")
    @Min(value = -1L, message = "油红O染色切片数量不能小于-1")
    private Integer yho;

    @Schema(description = "FJB染色切片数量")
    @Min(value = -1L, message = "FJB染色切片数量不能小于-1")
    private Integer fjb;

    @Schema(description = "EVG染色切片数量")
    @Min(value = -1L, message = "EVG染色切片数量不能小于-1")
    private Integer evg;

    @Schema(description = "TUNEL染色切片数量")
    @Min(value = -1L, message = "TUNEL染色切片数量不能小于-1")
    private Integer tunel;

    @Schema(description = "WGA染色切片数量")
    @Min(value = -1L, message = "WGA染色切片数量不能小于-1")
    private Integer wga;

    @Schema(description = "其他染色切片数量")
    @Min(value = -1L, message = "其他染色切片数量不能小于-1")
    private Integer qtqp;

    @Schema(description = "免疫组化染色切片数量")
    @Min(value = -1L, message = "免疫组化染色切片数量不能小于-1")
    private Integer myzhqp;

    @Schema(description = "免疫组化具体指标")
    @Size(max = 255, message = "免疫组化具体指标不能超过255个字符")
    private String myzhzb;

    @Schema(description = "免疫荧光染色切片数量")
    @Min(value = -1L, message = "免疫荧光染色切片数量不能小于-1")
    private Integer myygqp;

    @Schema(description = "免疫荧光具体指标")
    @Size(max = 255, message = "免疫荧光染色切片数量不能超过255个字符")
    private String myygzb;

    @Schema(description = "切片扫描切片数量")
    @Min(value = -1L, message = "切片扫描切片数量不能小于-1")
    private Integer qpsmqp;

    @Schema(description = "切片扫描染色类型")
    @Size(max = 255, message = "切片扫描染色类型不能超过255个字符")
    private String qpsmrs;

    @Schema(description = "阅片切片数量")
    @Min(value = -1L, message = "阅片切片数量不能小于-1")
    private Integer ypqp;

    @Schema(description = "阅片切片染色类型")
    @Size(max = 255, message = "阅片切片染色类型不能超过255个字符")
    private String yprs;

    @Schema(description = "阅片说明")
    @Size(max = 255, message = "阅片切片染色类型不能超过255个字符")
    private String ypsm;

    @Schema(description = "检测种属（动物）")
    private String jczs;

    @Schema(description = "检测种属（其他）")
    private String jczsQt;

    @Schema(description = "检测方法（IF）")
    private String jcff;

    @Schema(description = "检测方法（其他）")
    private String jcffQt;

    @Schema(description = "特殊要求：加急，重复")
    private String specialRequirements;

    @Schema(description = "预实验")
    private Boolean preExperiment;

    @Schema(description = "预实验课题名称")
    @Size(max = 255, message = "预实验课题名称不能超过255个字符")
    private String preSubjectName;

    @Schema(description = "预实验申请人id")
    private Long preApplicantId;

    @Schema(description = "预实验申请人姓名")
    private String preApplicantName;

    @Schema(description = "预实验申请人负责人id")
    private Long preApplicantLeaderId;

    @Schema(description = "预实验申请人负责人姓名")
    private String preApplicantLeaderName;

    @Schema(description = "预实验的内容")
    @Size(max = 255, message = "预实验的内容不能超过255个字符")
    private String preContent;

    @Schema(description = "预实验的结论")
    private String preConclusion;

    @Schema(description = "预实验的实验日期")
    private String preDate;

    @Schema(description = "预实验的实验人员，json字符串")
    private String prePeople;

    @Schema(description = "预实验列表")
    private List<PreExperimentVo> experiments = new ArrayList<>();

    @Schema(description = "样本信息附件列表")
    private List<FileVo> sampleInfoFiles = new ArrayList<>();

    @Schema(description = "抗体信息附件列表")
    private List<FileVo> antibodyInfoFiles = new ArrayList<>();
}