package com.github.jfcloud.gene.common.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.github.jfcloud.gene.common.interceptor.anno.AutoStuff;
import com.github.jfcloud.gene.common.interceptor.enums.AnnoEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@Data
public abstract class BaseEntity extends Model implements Serializable {

    @TableField(fill = FieldFill.INSERT)
    @AutoStuff(annoType = AnnoEnum.TENANT_ID)
    private Long tenantId;

    @TableField(fill = FieldFill.INSERT)
    @AutoStuff(annoType = AnnoEnum.DEPT_ID)
    private Long deptId;

    @TableField(fill = FieldFill.INSERT, value = "create_time")
    @AutoStuff(annoType = AnnoEnum.CREATE_TIME)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(fill = FieldFill.INSERT_UPDATE, value = "update_time")
    @AutoStuff(annoType = AnnoEnum.UPDATE_TIME)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @TableField(fill = FieldFill.INSERT)
    @AutoStuff(annoType = AnnoEnum.CREATE_BY)
    private String createBy;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    @AutoStuff(annoType = AnnoEnum.UPDATE_BY)
    private String updateBy;

    /**
     * 是否被删除 0 未删除  1 已删除
     */
    @JsonIgnore
    @TableLogic(value = "0", delval = "1")
    @TableField(value = "deleted")
    private String deleted = "0";

}
