package com.github.jfcloud.gene.common.interceptor.config;


import com.github.jfcloud.gene.common.interceptor.interceptor.StuffInterceptor;
import org.apache.ibatis.plugin.Interceptor;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;


@Configuration
@EnableConfigurationProperties({MybatisInterceptorProperties.class})// 激活配置模块
/**
 * 控制Configuration是否生效
 * name: 数组，property完整名称或部分名称
 * matchIfMissing：缺少该property时是否可以加载。如果为true，没有该property也会正常加载；反之报错
 * havingValue: 比较获取到的属性值与havingValue给定的值是否相同，相同才加载配置
 */
@ConditionalOnProperty(
        name = {"my.interceptor.enabled"},
        matchIfMissing = true,
        havingValue = "true"
)
public class InterceptorConfig {

    @Bean
    public Interceptor getStuffInterceptor() {
        return new StuffInterceptor();
    }

}
