package com.github.jfcloud.gene.common.util;

import com.github.jfcloud.common.core.base.JfcloudUserInfo;
import com.github.jfcloud.common.security.service.JfcloudUser;
import com.github.jfcloud.common.security.util.SecurityUtils;
import lombok.RequiredArgsConstructor;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Component;

import java.util.Collections;
import java.util.List;

@Component
@Log4j2
@RequiredArgsConstructor
public class UserUtil {

    private static JfcloudUser getCurrentUser() {
        JfcloudUser user = SecurityUtils.getUser();
        if (user == null) {
            //获取当前用户失败，避免空指针
            user = new JfcloudUser("null", "null", false, false, false, false,
                    Collections.emptyList(), new JfcloudUserInfo());
        }
        return user;
    }

    public static Long getUserId() {
        return getCurrentUser().getId();
    }

    public static String getUserName() {
        return getCurrentUser().getUsername();
    }

    public static String getNickName() {
        return getCurrentUser().getJfcloudUserInfo().getNickname();
    }

    public static String getEmail() {
        return getCurrentUser().getJfcloudUserInfo().getEmail();
    }

    public static Long getDeptId() {
        return getCurrentUser().getJfcloudUserInfo().getDeptId();
    }

    public static Long getTenantId() {
        return getCurrentUser().getJfcloudUserInfo().getTenantId();
    }

    public static JfcloudUser getUser() {
        return getCurrentUser();
    }

    public static List<Long> getRoles() {
        return SecurityUtils.getRoles();
    }
}
